<?php
/*
 /////////////////// DISCLAIMER ///////////////////////////
 THIS EXAMPLE CODE IS PROVIDED TO YOU ONLY ON AN "AS IS"
 BASIS WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION
 ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT,
 MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 PAYPAL MAKES NO WARRANTY THAT THE SOFTWARE OR
 DOCUMENTATION WILL BE ERROR-FREE. IN NO EVENT SHALL THE
 COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ////////////////////////////////////////////////////////////
 */


//Get access token from PayPal
include 'create-token.php';

//Print all errors
error_reporting(E_ALL);
ini_set("display_errors", 1);

//echo 'TOKEN ' . $accessToken;

//Initiate CURL and set the url endpoint
$ch = curl_init();
$url = 'https://api.sandbox.paypal.com/v1/identity/generate-token';
curl_setopt($ch, CURLOPT_URL, $url);

curl_setopt($ch, CURLOPT_SSLVERSION, CURL_SSLVERSION_TLSv1_2);

//Should to be set to true for security
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
//Should be set to 2 for security
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);

//Cert can be generated through mozilla firefox and is used when implementing security for VERIFYPEER and VERIFYHOST in the above
//curl_setopt($ch, CURLOPT_CAINFO, '/var/www/html/Example_REST_FP/cert/cacert.pem');

//Set the user and password
curl_setopt($ch, CURLOPT_USERPWD, 'AXNy0hxCunzFJ4dUujHxAriwIcyWRpLn-Sah7krltWpB5ZJMWSZuQsjygjTg8mlX4XT0MnXu9eGn2oUE:EM4gQhZAahWsJLnEDr8nilZRttPbDcWmA1tIO7_WqRS2gCMK5I6D0aqbX_DV-7p3aRtawLuZk3XVCa-e');

$headers = array();

//Set the required headers
$headers = array(
    'Accept: application/json',
    'Content-Type: application/json',
    'Accept-Language: en_US',
    "Authorization: Bearer $accessToken"
    
);
curl_setopt($ch,CURLOPT_HTTPHEADER,$headers);

//Lets curl know we are using 'post' and not 'get' (false = 'get')
curl_setopt($ch, CURLOPT_POST, TRUE);

//Keep connection open until we get data back
curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);

curl_setopt($ch, CURLOPT_POSTFIELDS, '{}');

//get the response back
$response = curl_exec($ch);

//parse json into php array
$outArray = json_decode($response, true);

//Print the response
// echo "<pre>";
// print_r($outArray);
// echo "</pre>";

//Extract the access token from the response so it can be used in the createOrder file
$clientToken = $outArray['client_token'];

//Put the token in the session for later use
$_SESSION['client_token'] = $clientToken;

//Close the connection
curl_close($ch);


